@import "~normalize.css"; // @import "variables";
// Basic Components
@import "components/grid";
@import "components/core";
@import "components/color";
@import "components/form";
@import "components/dropdown";
@import "components/typo";
@import "components/modal";
@import "components/animate";
@import "components/minutes";
@import "components/spacing";
@import "components/toast";
@import "components/tabs";
//Import Modules
@import "modules/dashboard";
@import "modules/grid";
@import "modules/product";
@import "modules/rule";

textarea {
  resize: none;
  /*IE hack for removing default scrollbars*/
  overflow: auto;
}

.login-form {
  margin: 0 auto;
  min-width: 35%;
}

.ajax-loader {
  background-image: url("/loader.gif");
  width: 100%;
  height: 100%;
  position: fixed;
  left: 50%;
  top: 50%;
  background-repeat: no-repeat;
  display: none;
}

.sidebar-button-holder {
  display: flex;
  align-items: center;
}

.sidebar {
  top: 0;
  left: 0;
  bottom: 0;
  width: 0px;
  color: #85858e;
  position: fixed;
  overflow-y: auto;
  z-index: 25;
  transition-duration: 0.2s;
}

.sidebar.active {
  width: 250px;
  transition-duration: 0.2s;
}

.relative {
  position: relative;
}

.sidebar-header {
  height: 60px;
  font-size: 25px;
  font-weight: bold;
  letter-spacing: -2px;
}

ul.sidebar-menu li > a:hover {
  color: #fff;
}

.sidebar-menu .icon {
  font-size: 16px;
  font-weight: bold;
}

.sidebar-menu ul.submenu {
  background-color: #2d2d32;
}

.sidebar-menu ul.submenu.active {
  display: block;
}

.header,
.header-actions {
  top: 0;
  right: 0;
  z-index: 5;
  left: 0px;
  height: 60px;
  position: fixed;
  padding: 0 30px;
  background-color: #fff;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  border-bottom: 1px solid rgba(225, 225, 225, 0.7);
}

.header.active {
  left: 250px;
  transition-duration: 0.2s;
}

.header-actions {
  -webkit-box-pack: end;
  -ms-flex-pack: end;
  justify-content: flex-end;
}

.container-wrapper {
  padding-top: 60px;
  padding-left: 0px;
}

.container-wrapper.active {
  padding-left: 250px;
  transition-duration: 0.2s;
}

.container {
  margin: auto;
  padding: 30px;
}

.tag {
  padding: 4px 8px;
  font-size: 11px;
  line-height: 1;
  text-shadow: none;
  background-color: #e1e1e1;
  font-weight: 600;
  color: #575757;
  border-radius: 0.25em;
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  text-transform: uppercase;

  &.tag-product {
    margin: 2px;
  }

  &.tag-success {
    background-color: #1dbb99;
    color: #fff;
  }

  &.tag-transit,
  &.tag-warning {
    background-color: #6d5cae;
    color: #fff;
  }

  &.tag-closed,
  &.tag-processed,
  &.tag-completed,
  &.tag-delivered {
    background-color: #10cfbd;
    color: white;
  }

  &.tag-cancelled {
    background-color: #f55753;
    color: white;
  }

  &.tag-unfulfilled,
  &.tag-dispatched,
  &.tag-shipped {
    background-color: #ff8080;
    color: white;
  }

  &.tag-manifested {
    background-color: #3b4752;
    color: white;
  }

  &.tag-confirmed,
  &.tag-generated {
    background-color: #337ab7;
    color: white;
  }

  &.tag-billed,
  &.tag-retry {
    background-color: #f8d053;
    color: white;
  }

  &.tag-pending {
    background-color: #5bc0de;
    color: white;
  }
}

.justify-content-end {
  justify-content: flex-end;
}

.timeline {
  position: relative;
}

.timeline::before {
  width: 4px;
  content: "";
  height: 100%;
  left: 20px;
  z-index: -10;
  position: absolute;
  border-radius: 2px;
  display: inline-block;
  background-color: #fff;
}

.timeline > .timeline-block {
  margin-top: 40px;
  padding-left: 50px;
  position: relative;
}

.timeline > .timeline-block::before {
  left: 15px;
  content: "";
  width: 15px;
  height: 15px;
  position: absolute;
  border: 2px solid #fff;
  background-color: #000;
}

.select2 .select2-selection,
.select2-container .select2-search--dropdown input {
  outline: none;
  border-radius: 2px;
  background-color: #fff;
  min-height: 32px !important;
  border: 1px solid #e4e4e4 !important;
}

.select2 .select2-selection:focus,
.select2-container .select2-search--dropdown input:focus {
  background-color: #e4e4e4;
}

.select2-container .select2-dropdown {
  border: 1px solid #e4e4e4;
}

.condition {
  border: 1px dashed #e4e4e4;
  padding: 20px;
}
//jstree hack
.jstree-default a {
  white-space: normal !important;
  height: auto;
}

.jstree-anchor {
  height: auto !important;
}

.jstree-default li > ins {
  vertical-align: top;
}

.jstree-leaf {
  height: auto;
}

.jstree-leaf a {
  height: auto !important;
}

.select2 {
  width: 100% !important;
}

@media screen and (max-width: 1000px) {
  .header {
    left: 0;
  }

  .container-wrapper {
    padding-left: 0;
  }
}

.intl-tel-input {
  display: block !important;
}

.intl-tel-input .selected-flag:focus {
  outline: none;
}
